#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int main()
{
    vector<long long> takmicari;
    long long a, b;
    int n, m, i, prijatelji[100000], neprijatelji[100000], ukupno;
    cin >> n >> m;
    ukupno = 0;
    for(i = 0; i < n; i ++)
    {
        prijatelji[n] = 0;
        neprijatelji[n] = 0;
        cin >> a;
        takmicari.push_back(a);
    }
    for(i = 0; i < m; i ++)
    {
        cin >> a >> b;
        if(takmicari[a - 1] < 0 && takmicari[b - 1] < 0)
        {
            prijatelji[a - 1]--;
            prijatelji[b - 1]--;
        }
        if(takmicari[a - 1] > 0 && takmicari[b - 1] < 0 && abs(takmicari[b - 1]) > takmicari[a - 1])
        {
            prijatelji[a - 1]--;
            prijatelji[b - 1]--;
        }
        if(takmicari[a - 1] > 0 && takmicari[b - 1] < 0 && abs(takmicari[b - 1]) < takmicari[a - 1])
        {
            prijatelji[a - 1]++;
            prijatelji[b - 1]++;
        }
        if(takmicari[a - 1] < 0 && takmicari[b - 1] > 0 && abs(takmicari[a - 1]) > takmicari[b - 1])
        {
            prijatelji[a - 1]--;
            prijatelji[b - 1]--;
        }
        if(takmicari[a - 1] < 0 && takmicari[b - 1] > 0 && abs(takmicari[a - 1]) < takmicari[b - 1])
        {
            prijatelji[a - 1]++;
            prijatelji[b - 1]++;
        }
        if(takmicari[a - 1] > 0 && takmicari[b - 1] > 0)
        {
            prijatelji[a - 1]++;
            prijatelji[b - 1]++;
        }
    }
    for(i = 0; i < n; i ++)
    {
        ukupno += prijatelji[i] * takmicari[i];
    }
    cout << ukupno;
    return 0;
}